DefaultBindingCollection (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.binding.DefaultBindingCollection class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.binding
Class DefaultBindingCollection

    java.lang.Object
      org.mule.routing.AbstractRouterCollection
          org.mule.routing.binding.DefaultBindingCollection

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, BindingCollection, RouterCollection

    public class DefaultBindingCollection

extends AbstractRouterCollection
implements BindingCollection

TODO

Field Summary

Fields inherited from class org.mule.routing.AbstractRouterCollection
`logger, matchAll, muleContext, routers`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`DefaultBindingCollection()`

Method Summary

Methods inherited from class org.mule.routing.AbstractRouterCollection
`addRouter, dispose, getCatchAllStrategy, getRouters, getStatistics, initialise, isMatchAll, removeRouter, setCatchAllStrategy, setMatchAll, setMuleContext, setRouters, setStatistics`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.routing.RouterCollection
`addRouter, getCatchAllStrategy, getRouters, getStatistics, isMatchAll, removeRouter, setCatchAllStrategy, setMatchAll, setRouters, setStatistics`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Constructor Detail

### DefaultBindingCollection

    public DefaultBindingCollection()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.